---
- name: Configure phase
  debug:
    msg: >-
      Configure phase
    verbosity: 1

- name: Create modular configuration directories
  file:
    path: "{{ _current_directory }}"
    state: directory
    mode: 0755
    owner: root
    group: root
  loop: "{{ __glxclans_rproxy_modular_config_directories }}"
  loop_control:
    loop_var: _current_directory

- name: Configure nginx
  template:
    src: "nginx.conf.j2"
    dest: "{{ __glxclans_rproxy_nginx_config_file }}"
    mode: 0644
    owner: root
    group: root
  notify: Reload nginx service

- name: Disable default site
  file:
    dest: "/etc/nginx/sites-enabled/default"
    state: absent
  notify: Reload nginx service

- name: Disable managed sites
  file:
    dest: "/etc/nginx/sites-enabled/{{ _current_sitename }}.conf"
    state: absent
  loop: "{{ glxclans_rproxy_nginx_managed_sites }}"
  loop_control:
    loop_var: _current_sitename
  notify: Reload nginx service
  when:
    - not (glxclans_rproxy_nginx_enable_sites | bool)
  tags:
    - molecule-idempotence-notest

- name: Enable managed sites
  file:
    dest: "/etc/nginx/sites-enabled/{{ _current_sitename }}.conf"
    src: "/etc/nginx/sites-available/{{ _current_sitename }}.conf"
    state: link
  loop: "{{ glxclans_rproxy_nginx_managed_sites }}"
  loop_control:
    loop_var: _current_sitename
  notify: Reload nginx service
  when:
    - glxclans_rproxy_nginx_enable_sites | bool
  tags:
    - molecule-idempotence-notest

- name: Disable managed streams
  file:
    dest: "/etc/nginx/streams-enabled/{{ _current_streamname }}.conf"
    state: absent
  loop: "{{ glxclans_rproxy_nginx_managed_streams }}"
  loop_control:
    loop_var: _current_streamname
  notify: Reload nginx service
  when:
    - not (glxclans_rproxy_nginx_enable_streams | bool)
  tags:
    - molecule-idempotence-notest

- name: Enable managed streams
  file:
    dest: "/etc/nginx/streams-enabled/{{ _current_streamname }}.conf"
    src: "/etc/nginx/streams-available/{{ _current_streamname }}.conf"
    state: link
  loop: "{{ glxclans_rproxy_nginx_managed_streams }}"
  loop_control:
    loop_var: _current_streamname
  notify: Reload nginx service
  when:
    - glxclans_rproxy_nginx_enable_sites | bool
  tags:
    - molecule-idempotence-notest

